Index: Makefile.am
===================================================================
--- Makefile.am	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ Makefile.am	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -1,5 +1,5 @@
 ACLOCAL_AMFLAGS = -I m4
 
-SUBDIRS = ThirdParty data/icons src src/unittests src/Tesselation/TriangleMatcher src/Bond/AdjacencyMatcher tests utils doc
+SUBDIRS = ThirdParty data/icons src python src/unittests src/Tesselation/TriangleMatcher src/Bond/AdjacencyMatcher tests utils doc
 
 AUTOMAKE_OPTIONS = subdir-objects
Index: configure.ac
===================================================================
--- configure.ac	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ configure.ac	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -593,4 +593,5 @@
 AC_CONFIG_FILES([
 	Makefile 
+	python/Makefile
 	src/Makefile
 	src/Bond/AdjacencyMatcher/Makefile
Index: python/Makefile.am
===================================================================
--- python/Makefile.am	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
+++ python/Makefile.am	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -0,0 +1,31 @@
+AM_LDFLAGS = -ldl ${BOOST_LDFLAGS} ${CodePatterns_LDFLAGS} ${JobMarket_LDFLAGS}
+AM_CPPFLAGS = \
+	-I$(top_srcdir)/src \
+	-I$(top_srcdir)/src/unittests \
+	-I$(top_srcdir)/src/Actions \
+	-I$(top_srcdir)/src/UIElements \
+	-I$(top_srcdir)/ThirdParty/LinearAlgebra/src \
+	${BOOST_CPPFLAGS} \
+	${CodePatterns_CFLAGS}
+
+
+if CONDPYTHON
+pyexec_LTLIBRARIES = pyMoleCuilder.la
+pyMoleCuilder_la_SOURCES = \
+	../src/cleanUp.cpp \
+	../src/cleanUp.hpp \
+	../src/Actions/Action_impl_python.hpp \
+	../src/Actions/GlobalListOfActions.hpp \
+	../src/Actions/ActionHistory.hpp
+pyMoleCuilder_la_CPPFLAGS = $(AM_CPPFLAGS) ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} $(JobMarket_CFLAGS) -I$(PYTHON_INCLUDE_DIR)
+pyMoleCuilder_la_LDFLAGS = $(AM_LDFLAGS) -module -version-info $(MOLECUILDER_SO_VERSION) -shared $(BOOST_PYTHON_LDFLAGS) 
+pyMoleCuilder_la_LIBADD = \
+	$(top_builddir)/src/libMolecuilderUI.la
+pyMoleCuilder_la_LIBADD += \
+	$(BOOST_PYTHON_LIBS) \
+	${CodePatterns_LIBS} \
+	-l$(PYTHON_LIB)
+endif
+
+
+
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ src/Makefile.am	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -5,5 +5,4 @@
 lib_LTLIBRARIES =
 noinst_LTLIBRARIES =
-pyexec_LTLIBRARIES =
 BUILT_SOURCES =
 bin_PROGRAMS =
@@ -289,23 +288,4 @@
 	${top_srcdir}/data/molecules/*.pdb
 
-if CONDPYTHON
-pyexec_LTLIBRARIES += pyMoleCuilder.la
-pyMoleCuilder_la_SOURCES = \
-	cleanUp.cpp \
-	cleanUp.hpp \
-	Actions/Action_impl_python.hpp \
-	Actions/GlobalListOfActions.hpp \
-	Actions/ActionHistory.hpp
-pyMoleCuilder_la_CPPFLAGS = $(AM_CPPFLAGS) ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} $(JobMarket_CFLAGS) -I$(PYTHON_INCLUDE_DIR)
-pyMoleCuilder_la_LDFLAGS = $(AM_LDFLAGS) -module -version-info $(MOLECUILDER_SO_VERSION) -shared $(BOOST_PYTHON_LDFLAGS) 
-pyMoleCuilder_la_LIBADD = \
-	libMolecuilderUI.la
-pyMoleCuilder_la_LIBADD += \
-	$(BOOST_PYTHON_LIBS) \
-	${CodePatterns_LIBS} \
-	-l$(PYTHON_LIB)
-endif
-
-
 
 molecuilder_CPPFLAGS  = $(AM_CPPFLAGS)
Index: tests/Python/run.in
===================================================================
--- tests/Python/run.in	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ tests/Python/run.in	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -5,5 +5,5 @@
 # libraries are (on this platform libtool encodes the expected final
 # path of dependent libraries in each library).
-modpath='../.libs:@abs_top_builddir@/src/.libs'
+modpath='../.libs:@abs_top_builddir@/python/.libs'
 
 # .. is for the *.py files, and ../.libs for the *.so.  We used to
Index: tests/regression/runpython.in
===================================================================
--- tests/regression/runpython.in	(revision fbf005fe6f3de1a0fe7c1467b64db03e679102ae)
+++ tests/regression/runpython.in	(revision 7672284238c24f3166b6ef5766db518d837c36ad)
@@ -5,5 +5,5 @@
 # libraries are (on this platform libtool encodes the expected final
 # path of dependent libraries in each library).
-modpath='../.libs:@abs_top_builddir@/src/.libs'
+modpath='../.libs:@abs_top_builddir@/python/.libs'
 
 # .. is for the *.py files, and ../.libs for the *.so.  We used to